Update Record MetadataAsk AIpatch https://na1.ironcladapp.com/public/api/v1/records/{id}Update specific fields on a record. OAuth Scope required: public.records.updateRecordsPath ParamsidstringrequiredThe ID or Ironclad ID of the Record.Query ParamsaddressAsObjectbooleanDefaults to falseWhen true, returns addresses as objects instead of strings.truefalseBody ParamstypestringThe type of Record.namestringThe name of the Record.addPropertiesobjectA key:value map of properties to add. The two below are examples.addProperties objectremovePropertiesarray of stringsList of record property ids to be removed (e.g., ['counterpartyAddress', 'agreementExpirationDate'])removePropertiesADD stringaddLinksarray of objectsList of objects containing the Record IDs or Ironclad IDs of the records to link. For an explanation of Record IDs or Ironclad IDs and how to find them, see Getting Started.addLinksADD objectremoveLinksarray of objectsList of objects containing the Record IDs or Ironclad IDs of the record links to remove. For an explanation of Record IDs or Ironclad IDs and how to find them, see Getting Started.removeLinksADD objectsetParentobjectObject containing Record IDs or Ironclad IDs to be set as the parent of the current record.setParent objectaddChildrenarray of objectsList of objects containing the Record IDs or Ironclad IDs of the records to be set as child records of the current record.addChildrenADD objectremoveParentbooleanBoolean flag to indicate if the parent id should be removed for the current record.falsetruefalseremoveChildrenarray of objectsList of objects containing the Record IDs or Ironclad IDs of the child records to be removed from the current record.removeChildrenADD objectaddPropertiesToAmendobjectConfiguration specifying which properties should be amended from this amendment record to its parent. Keys are property names, values define the amendment behavior. Only valid when parentLinkType is 'amendment'.addPropertiesToAmend objectremovePropertiesToAmendarray of stringsList of property IDs to stop deriving from this amendment record to the parent record. Removes existing derived property relationships, allowing the parent record to revert to its non-amended value for those fields.removePropertiesToAmendADD stringHeadersx-as-user-emailstringDenotes the actor of the request. When used, the API will take into account this user's permissions and access. This or x-as-user-id is required when the associated token was produced from the Client Credentials grant or with legacy bearer tokens on select endpoints. More information about permissions.x-as-user-idstringDenotes the actor of the request. When used, the API will take into account this user's permissions and access. This or x-as-user-email is required when the associated token was produced from the Client Credentials grant or with legacy bearer tokens on select endpoints. More information about permissions.Responses 200200 400400 404404Updated 7 months ago